Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class QuickBuildRepository

    java.lang.Object
      com.pmease.quickbuild.repository.Repository
          com.pmease.quickbuild.repository.QuickBuildRepository

All Implemented Interfaces:
  java.io.Serializable

public class QuickBuildRepository
extends Repository

The QuickBuild repository

Author:
  robin shine
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `LAST_BUILD`
`static java.lang.String` | `LAST_SUCCESS_BUILD`
`static java.lang.String` | `LATEST_BUILD`

Constructor Summary
`QuickBuildRepository()`

Method Summary
`protected void` | `buildFinished(Build build)` Indicates build has finished.
`protected void` | `checkout(Build build)` Check out codes for specified build.
`protected void` | `cleanupCheckoutStarted(java.lang.String workingDir, org.apache.log4j.Logger logger)` Give the repository a chance to do something before clean up checkouts.
`java.lang.String` | `getBuildVersion()` Specify version of the build from which you want to retrieve artifacts from, for example: \"myproduct-1.0.0\".
`java.util.Map` | `getBuildVersionChoices()`
`protected Revisions` | `getChangeListSince(DependentContext dependentContext, java.util.Date date, java.lang.String workingDir, org.apache.log4j.Logger logger)` Get change list since specified date.
`java.lang.String` | `getConfigurationHierarchyName()` Specify configuration of the above QuickBuild system, for example: \"root.project1.release\".
`java.lang.Class` | `getModuleClazz()`
`java.lang.String` | `getPassword()` Specify password of the above user.
`BuildFacade` | `getRemoteBuild()`
`RemoteService` | `getRemoteService()`
`java.lang.String` | `getRemoteServletUrl()`
`java.lang.String` | `getServletUrl()` Specify servlet URL for the QuickBuild system you want to retrieve artifacts from.
`java.lang.String` | `getUser()` Specify user name to login to the specified QuickBuild system.
`protected void` | `label(Build build, java.lang.String label, java.lang.String comment)` Label checked out artifacts from this repository.
`void` | `setBuildVersion(java.lang.String buildVersion)`
`void` | `setConfigurationHierarchyName(java.lang.String configurationHierarchyName)`
`void` | `setPassword(java.lang.String password)`
`void` | `setServletUrl(java.lang.String servletUrl)`
`void` | `setUser(java.lang.String user)`

Methods inherited from class com.pmease.quickbuild.repository.Repository
`cleanupCheckoutStarted, doCheckout, doLabel, equals, getChangeListSince, getDate2Revisions, getEditor, getLoginMappingName, getLoginMappingNameSelectionModel, getModules, getName, getNameChoices, getQuietPeriod, hashCode, isCheckedOut, isModified, isModifiedSince, isQuietSince, notifyBuildFinished, resolveOgnlExpressions, setEditor, setLoginMappingName, setName, setQuietPeriod, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LATEST_BUILD

    public static final java.lang.String LATEST_BUILD

See Also:
  Constant Field Values

### LAST_BUILD

    public static final java.lang.String LAST_BUILD

See Also:
  Constant Field Values

### LAST_SUCCESS_BUILD

    public static final java.lang.String LAST_SUCCESS_BUILD

See Also:
  Constant Field Values

Constructor Detail

### QuickBuildRepository

    public QuickBuildRepository()

Method Detail

### getServletUrl

    public java.lang.String getServletUrl()

  Specify servlet URL for the QuickBuild system you want to retrieve artifacts from. For example, \"http://another-server:8080/app.do\". If not specified, it will default to current QuickBuild system.

  Returns:

### setServletUrl

    public void setServletUrl(java.lang.String servletUrl)

### getConfigurationHierarchyName

    public java.lang.String getConfigurationHierarchyName()

  Specify configuration of the above QuickBuild system, for example: \"root.project1.release\". This configuration and the following build property will uniquely identify the build where you want to retrieve artifacts from.

  Returns:

### setConfigurationHierarchyName

    public void setConfigurationHierarchyName(java.lang.String configurationHierarchyName)

### getBuildVersion

    public java.lang.String getBuildVersion()

  Specify version of the build from which you want to retrieve artifacts from, for example: \"myproduct-1.0.0\". If not specified, latest build will be assumed. Meaning of some special build version is listed as below:
  <latest build>: Triggers destination configuration and then check out artifacts from latest build from specified configuration.
  <last build>: Check out artifacts from last build of specified configuration. Last build is the latest build that has been finished.
  <last successful build>: Check out artifacts from last successful build of specified configuration.

  Returns:

### setBuildVersion

    public void setBuildVersion(java.lang.String buildVersion)

### getBuildVersionChoices

    public java.util.Map getBuildVersionChoices()

### getUser

    public java.lang.String getUser()

  Specify user name to login to the specified QuickBuild system. It should have the permission to view the above configuration. If you are trying to retrieve artifacts of the latest build, you should have build permission for that configuration, because it will be triggered to generate a new build if necessary. If this property is not specified, anonymous user will be assumed.

  Returns:

### setUser

    public void setUser(java.lang.String user)

### getPassword

    public java.lang.String getPassword()

  Specify password of the above user.

  Returns:

### setPassword

    public void setPassword(java.lang.String password)

### checkout

    protected void checkout(Build build)

  Description copied from class: `Repository`
  Check out codes for specified build. OGNL expressions have been resolved before call this method.

  Specified by:
    `checkout` in class `Repository`
  Parameters:
    `build` -

### getRemoteBuild

    public BuildFacade getRemoteBuild()

### getRemoteService

    public RemoteService getRemoteService()

### buildFinished

    protected void buildFinished(Build build)

  Description copied from class: `Repository`
  Indicates build has finished. OGNL expressions have been resolved before call this method.

  Specified by:
    `buildFinished` in class `Repository`
  Parameters:
    `build` -

### getRemoteServletUrl

    public java.lang.String getRemoteServletUrl()

### getChangeListSince

    protected Revisions getChangeListSince(DependentContext dependentContext,
                                           java.util.Date date,
                                           java.lang.String workingDir,
                                           org.apache.log4j.Logger logger)

  Description copied from class: `Repository`
  Get change list since specified date. OGNL expressions have been resolved before call this method.

  Specified by:
    `getChangeListSince` in class `Repository`
  Parameters:
    `dependentContext` -
    `date` -
    `workingDir` -
    `logger` -
  Returns:

### getModuleClazz

    public java.lang.Class getModuleClazz()

  Specified by:
    `getModuleClazz` in class `Repository`

### label

    protected void label(Build build,
                         java.lang.String label,
                         java.lang.String comment)

  Description copied from class: `Repository`
  Label checked out artifacts from this repository. OGNL expressions have been resolved before call this method.

  Specified by:
    `label` in class `Repository`
  Parameters:
    `build` -

### cleanupCheckoutStarted

    protected void cleanupCheckoutStarted(java.lang.String workingDir,
                                          org.apache.log4j.Logger logger)

  Description copied from class: `Repository`
  Give the repository a chance to do something before clean up checkouts. OGNL expressions have been resolved before call this method.

  Specified by:
    `cleanupCheckoutStarted` in class `Repository`
  Parameters:
    `workingDir` -
    `logger` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.